package ExcerptRichText::CMS;

use strict;

sub excerpt_richtText_header {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
  <script type="text/javascript" src="<\$mt:var name="static_uri"\$>mt.js?v=<mt:var name="mt_version_id" escape="url">"></script>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
  <script type="text/javascript" src="<\$mt:var name="static_uri"\$>plugins/ExcerptRichText/js/mt.js?v=<mt:var name="mt_version_id" escape="url">"></script>
HERE
    $$template =~ s/$old/$new/;
}

sub excerpt_richtText_edit_entry {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
<textarea id="editor-input-extended" class="text" name="text_more" style="display: none"><\$mt:var name="text_more" escape="html"\$></textarea>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<textarea id="editor-input-extended" class="text" name="text_more" style="display: none"><\$mt:var name="text_more" escape="html"\$></textarea>
<textarea id="editor-input-excerpt" class="text" name="excerpt" style="display: none"><\$mt:var name="excerpt" escape="html"\$></textarea>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
          form.text_more.value = response.result.text_more;
HERE
    $old = quotemeta($old);

    $new = <<HERE;
          form.text_more.value = response.result.text_more;
          form.excerpt.value = response.result.excerpt;
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
                  'text_more': form.text_more.value,
HERE
    $old = quotemeta($old);

    $new = <<HERE;
                  'text_more': form.text_more.value,
                  'excerpt': form.excerpt.value,
HERE
    $$template =~ s/$old/$new/g;

    $old = <<HERE;
          <div id="field-convert_breaks">
HERE
    $old = quotemeta($old);

    $new = <<HERE;
          <div class="tab" mt:command="set-editor-excerpt" mt:tab="excerpt">
            <label><a href="javascript:void(0);" tabindex="-1"><__trans phrase="Excerpt"></a></label>
          </div>
          <div id="field-convert_breaks">
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
  <mt:else eq="excerpt">
    <mtapp:setting
       id="excerpt"
       class="sort-enabled"
       shown="\$show_field"
       label="\$field_label"
       label_class="top-label"
       help_page="entries"
       help_section="excerpt">
      <textarea name="excerpt" id="excerpt" class="text full low" cols="" rows="" mt:watch-change="1"><\$mt:var name="excerpt" escape="html"\$></textarea>
    </mtapp:setting>
HERE
    $old = quotemeta($old);

    $$template =~ s/$old//;

}

1;
